//*******************************************************
//  PIC 16F1847 ir transciever Program
//  file name: ir_switch.h
//
//
//   MPLAB IDE v8.84  HiTEC C
//
//  2013/11/18  New  Programed by Taishi
//  2021/08/27  Modify by Taishi ( original:PIC16F1827 LED Blink Program)
//  2021/09/02  Modify by Taishi ( from nixie checker Program) 
//*******************************************************

// Switch Define
#define	SW5		((~PORTA) & 0b00000001)		// 	PORTA Bit0, OFF: == 0, ON: != 0
#define SW1		((~PORTA) & 0b00000010) 	//  PORTA Bit1, OFF: == 0, ON: != 0
#define	SW2		((~PORTA) & 0b00000100) 	//  PORTA Bit2, OFF: == 0, ON: != 0
#define	SW3		((~PORTA) & 0b00001000) 	//  PORTA Bit3, OFF: == 0, ON: != 0
#define	SW4		((~PORTA) & 0b00010000)		//  PORTA Bit4, OFF: == 0, ON: != 0


extern	void			wait_all_sw_off(void);
extern	unsigned char	get_sw_on(void);
