//*****************************************
//@@PIC 16F1847 ir transciever Program
//
// File Name:utility.c
//
//   MPLAB IDE v8.84  HiTEC C
//
//  2016/07/12 New(TAB4)  Taishi
//  2021/09/11 modify for 16F1847 (ir transciever) Taishi
//*****************************************
#include	<htc.h>

#include	"ir_transciever.h"


#include	"utility.h"

/****************************************************************/
/* PoCgf[^										*/
/* PUîQ̂`rbhhɕϊ							*/
/* ʌ̂OTvX͂Ȃ									*/
/****************************************************************/
void	wtod_02x(char *bf,unsigned char ucd)
{
	*bf = (char)(((ucd>>4) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf=0;
}
/****************************************/
/* PoCgf[^				*/
/* Q̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_02u(char *bf,unsigned char ucd)
{
	*bf = (char)('0'+(ucd/10));
	bf++;
	*bf = (char)('0'+(ucd%10));
	bf++;
	*bf=0;
}
/****************************************/
/* PoCgf[^				*/
/* Q̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX				*/
/****************************************/
void	wtod_2u(char *bf,unsigned char ucd)
{
	*bf = (char)('0'+(ucd/10));
	if(*bf == '0'){
		*bf = ' ';
	}
	bf++;
	*bf = (char)('0'+(ucd%10));
	bf++;
	*bf=0;
}

/****************************************/
/* QoCgf[^				*/
/* R̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_03u(char *bf,unsigned int ucd)
{
	ucd %= 1000;

	*bf = (char)('0'+(ucd/100));
	ucd %= 100;
	bf++;

	*bf = (char)('0'+(ucd/10));
	bf++;

	*bf = (char)('0'+(ucd%10));
	bf++;

	*bf=0;
}
/****************************************/
/* QoCgf[^				*/
/* R̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX				*/
/****************************************/
void	wtod_3u(char *bf,unsigned int usd)
{
	int				i;
	char			*bfb;

	bfb = bf;
	wtod_03u(bf, usd);					// QoCgf[^R̂POî`rbhhɕϊ(ʌ̂OTvX͂Ȃ)
	for(i=0;i<2;i++,bfb++){
		if(*bfb == '0'){
			*bfb = ' ';
		}else{
			break;
		}
	}
}
/****************************************/
/* QoCgf[^				*/
/* ŜPOî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_04u(char *bf,unsigned int ucd)
{
	ucd %= 10000;

	*bf = (char)('0'+(ucd/1000));
	ucd %= 1000;
	bf++;

	*bf = (char)('0'+(ucd/100));
	ucd %= 100;
	bf++;

	*bf = (char)('0'+(ucd/10));
	bf++;

	*bf = (char)('0'+(ucd%10));
	bf++;

	*bf=0;
}
/****************************************/
/* QoCgf[^				*/
/* ŜPOî`rbhhɕϊ	*/
/* ʌ̂OTvX				*/
/****************************************/
void	wtod_4u(char *bf,unsigned int usd)
{
	int				i;
	char			*bfb;

	bfb = bf;
	wtod_04u(bf, usd);					// QoCgf[^R̂POî`rbhhɕϊ(ʌ̂OTvX͂Ȃ)
	for(i=0;i<3;i++,bfb++){
		if(*bfb == '0'){
			*bfb = ' ';
		}else{
			break;
		}
	}
}

/****************************************/
/* QoCgf[^				*/
/* T̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_05u(char *bf,unsigned int usd)
{
	int				i;
	unsigned int	cui;

	cui = 10000;
	for(i=0;i<5;i++){
		*bf = (char)('0'+(usd/cui));
		usd %= cui;
		bf++;
		cui /= 10;
	}
	*bf=0;
}
/****************************************/
/* QoCgf[^				*/
/* T̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX				*/
/****************************************/
void	wtod_5u(char *bf,unsigned int usd)
{
	int				i;
	char			*bfb;

	bfb = bf;
	wtod_05u(bf, usd);					// QoCgf[^T̂POî`rbhhɕϊ(ʌ̂OTvX͂Ȃ)
	for(i=0;i<4;i++,bfb++){
		if(*bfb == '0'){
			*bfb = ' ';
		}else{
			break;
		}
	}
}

/****************************************/
/* SoCgf[^				*/
/* V̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/* V𒴂鎞͂XXXXXXXɂ	*/
/****************************************/
void	wtod_07u(char *bf,unsigned long uld)
{
	unsigned int	i;
	unsigned long	cul;

	cul = 1000000;
	if( (unsigned long)9 < (uld / cul) ){
		for(i=0;i<7;i++){
			*bf = (char)'9';
			bf++;
		}
	}else{
		for(i=0;i<7;i++){
			*bf = (char)('0'+(uld/cul));
			uld %= cul;
			bf++;
			cul /= 10;
		}
	}
	*bf=0;
}
/********************************************/
/* SoCgf[^					*/
/* PÔPOî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ				*/
/********************************************/
void	wtod_010u(char *bf,unsigned long uld)
{
	unsigned char	i;
	unsigned long	cul;

	cul = 1000000000;
	for(i=0;i<10;i++){
		*bf = (char)('0'+(uld/cul));
		uld %= cul;
		bf++;
		cul /= 10L;
	}
	*bf=0;
}
/****************************************/
/* SoCgf[^				*/
/* V̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX				*/
/****************************************/
void	wtod_7u(char *bf,unsigned long uld)
{
	int				i;
	char			*bfb;

	bfb = bf;
	wtod_07u(bf, uld);					// SoCgf[^V̂POî`rbhhɕϊ(ʌ̂OTvX͂Ȃ)
	for(i=0;i<6;i++,bfb++){
		if(*bfb == '0'){
			*bfb = ' ';
		}else{
			break;
		}
	}
}
/****************************************/
/* SoCgf[^				*/
/* V̂POî`rbhhɕϊ	*/
/* ʌ̂OTvXōlɂ		*/
/****************************************/
void	wtod_l7u(char *bf,unsigned long uld)
{
	int				i;
	char			*bfb;
	char			mm[10];

	bfb = &mm[0];
	wtod_07u(mm, uld);					// SoCgf[^V̂POî`rbhhɕϊ(ʌ̂OTvX͂Ȃ)
	for(i=0;i<6;i++,bfb++){
		if(*bfb == '0'){
			;
		}else{
			break;
		}
	}
	llstrcpy(bf,bfb);
}
/****************************************/
/* SoCgf[^				*/
/* PÔPOî`rbhhɕϊ	*/
/* ʌ̂OTvX				*/
/****************************************/
void	wtod_10u(char *bf,unsigned long uld)
{
	int				i;
	char			*bfb;

	bfb = bf;
	wtod_010u(bf, uld);					// SoCgf[^PÔPOî`rbhhɕϊ(ʌ̂OTvX͂Ȃ)
	for(i=0;i<9;i++,bfb++){
		if(*bfb == '0'){
			*bfb = ' ';
		}else{
			break;
		}
	}
}

/****************************************/
/* QoCgf[^				*/
/* ŜPUî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_04x(char *bf,unsigned int ucd)
{
	*bf = (char)(((ucd>>12) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>8) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>4) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf=0;
}
/****************************************/
/* SoCgf[^				*/
/* ŴPUî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_08x(char *bf,unsigned long ucd)
{
	*bf = (char)(((ucd>>28) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>24) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>20) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>16) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>12) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>8) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>4) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>0) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf=0;
}
/****************************************/
/* ̒߂					*/
/*@߂ĺ@oCg					*/
/****************************************/
short	llstrlen(char *b1)
{
	int	r;

	r=0;
	while(*b1 != 0){
		b1++;
		r++;
	}
	return(r);
}
/********************************/
/* ̎w蕶̃Rs[	*/
/*@߂ĺ@Ȃ				*/
/********************************/
void	llstrncpy(char *b1,char *b2,short n)
{
	short	i;

	for(i=0;i<n;i++){
		*b1 = *b2;
		b1++;
		b2++;
	}
}
/************************/
/* ̃Rs[		*/
/*@߂ĺ@Ȃ		*/
/************************/
void	llstrcpy(char *b1,char *b2)
{
	while(*b2 != 0){
		*b1 = *b2;
		b1++;
		b2++;
	}
	*b1=0;
}
/****************************************/
/* ̎w蕶̔r				*/
/*@߂ĺ@SēɂO			*/
/*@@@@@@PłႤ͂OȊO	*/
/****************************************/
short	llstrncmp(char *b1,char *b2,short n)
{
	short	r;
	short	i;

	for(i=0;i<n;i++){
		r = ((short)(*b1) - (short)(*b2));
		b1++;
		b2++;
		if ( r != 0){
			break;
		}
	}
	return(r);
}
/****************************************/
/* ̂̔r						*/
/*@߂ĺ@SēɂO			*/
/*@@@@@@PłႤ͂OȊO	*/
/****************************************/
short	llstrcmp(char *b1,char *b2)
{
	short	n;
	short	r;

	r= -1;
	n = llstrlen(b1);
	if (n == llstrlen(b2)){
		if(llstrncmp(b1,b2,(short)n)==0){
			r=0;
		}
	}	
	return(r);
}

#if	0
//*****************************************
// vÖ̕擾
// 	őQO܂
//  擾 disp_moji[] ɓ
//*****************************************
void	get_pgm_str(unsigned char *puc)
{
	unsigned char i;
	unsigned char uc;

	for(i=0; i < NofDispMoji ; i++){
		uc = pgm_read_byte(puc + i);
		if(uc == 0){									// ^[~l[^[̎
			break;
		}
		disp_moji[i] = pgm_read_byte(puc + i);
	}
	disp_moji[i] = 0;
}
#endif

